### Method

# GObject Object force_floating

since: 2.10

#### Declaration [src]

    void
    g_object_force_floating (
      GObject* object
    )

#### Description [src]

This function is intended for `GObject` implementations to re-enforce a [floating][floating-ref] object reference. Doing this is seldom required: all `GInitiallyUnowneds` are created with a floating reference which usually just needs to be sunken by calling g_object_ref_sink().

Available since: 2.10